
from matplotlib.patches import FancyArrowPatch, Circle
import numpy as np

def draw_network(G,pos,ax,kol='k'):

    for n in G:
        c=Circle(pos[n],radius=0.15, alpha=0.4)
        ax.add_patch(c)
        G.nodes[n]['patch']=c
        x,y=pos[n]
    seen={}
    for (u,v,d) in G.edges(data=True):
        n1=G.nodes[u]['patch']
        n2=G.nodes[v]['patch']
        rad=0.1
        if (u,v) in seen:
            rad=seen.get((u,v))
            rad=(rad+np.sign(rad)*0.1)*-1
        alpha=0.5
        color=kol

        e = FancyArrowPatch(n1.center,n2.center,patchA=n1,patchB=n2,
                       #     arrowstyle='-|>',
                            arrowstyle='-',
                            connectionstyle='arc3,rad=%s'%rad,
                            mutation_scale=10.0,
                            lw=2,
                            alpha=alpha,
                            color=kol)
        seen[(u,v)]=rad
        ax.add_patch(e)
    return e

